Subject: [alpine-devel] extra/less

From: Cameron Banta <[email-masked]>
Date: Thu, 12 Mar 2009 15:32:39 -0600

Please review and commit.

Thanks,
Cameron
From 1337e3ca856952042784a35c0c4607ded7188118 Mon Sep 17 00:00:00 2001
From: Cameron Banta <[email-masked]>
Date: Thu, 12 Mar 2009 21:31:07 +0000
Subject: [PATCH] Initial commit

---
 extra/less/APKBUILD |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)
 create mode 100644 extra/less/APKBUILD

diff --git a/extra/less/APKBUILD b/extra/less/APKBUILD
new file mode 100644
index 0000000..8b810b4
--- /dev/null
+++ b/extra/less/APKBUILD
@@ -0,0 +1,29 @@
+# Contributor: Cameron Banta <[email-masked]>
+# Maintainer: Cameron Banta <[email-masked]>
+pkgname=less
+pkgver=418
+pkgrel=0
+pkgdesc="File pager"
+url="http://www.greenwoodsoftware.com/less/"
+license="GPL"
+depends="uclibc ncurses"
+makedepends="ncurses-dev"
+install=
+subpackages="$pkgname-doc"
+source="http://www.greenwoodsoftware.com/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
+	make DESTDIR="$pkgdir" install
+
+	# install -m755 -D "$srcdir"/$pkgname.initd "$pkgdir"/etc/init.d/$pkgname
+	# install -m644 -D "$srcdir"/$pkgname.confd "$pkgdir"/etc/conf.d/$pkgname
+}
+
+md5sums="b5864d76c54ddf4627fd57ab333c88b4  less-418.tar.gz"
-- 
1.6.1.3

---

From: Natanael Copa <[email-masked]>
Date: Fri, 13 Mar 2009 16:38:25 +0100

> Please review and commit.

applied.
thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---